Retrieve recommendation result item image

Redirects to a recommended item image or returns JSON based on its pod ID and position in a recommendation result set (pod_id and position as path parameters). Parameter values should correspond to a previously generated set of recommendations.

Path Params
string
required

The unique identifier of the recommendation pod containing the product set.

integer
required
≄ 1

The position of the desired product within the results.

Query Params
string
required
length between 1 and 100

The key of the index to use.

string
required

Email campaign identifier for tracking and analytics.

array | string

Seed item ID used for item-based recommendations (e.g., complementary).

string
required

Specific style ID within a product, used for retrieving style-specific images.

object

Any number of filtering criteria used to narrow the result set, such as color=blue or group_id=sandals or price=100-200. Facets, item groups and collection IDs can be used as filters. If filter_value has the form <min>-<max>, it is interpreted as a range. Filters with the same key are ORed together and filters with different keys are ANDed together by default. Only results that match the filters are returned. Boolean values are serialized with the first letter capitalized (e.g., True / False) as a convention.

string
deprecated

DEPRECATED. Please, use 'filters' instead. Name of the product attribute to filter by (e.g., brand, category, color). Must be provided together with filter_value.

string
deprecated

DEPRECATED. Please, use 'filters' instead. Value to filter the specified attribute by. Must be provided together with filter_name.

integer
1 to 100
Defaults to 10

The maximum number of recommended items to retrieve.

string

The ID of the client and version that the request is coming from, such as cio-js-2.90.

array | string

User segment is a client context value (such as platform, location, etc.) that is used to evaluate redirect or refined tag rules. You can supply multiple segments by passing multiple us arguments.

string

Unique identifier for the user to personalize recommendation results.

string
enum
Defaults to redirect

Format of the response, either 'redirect' (default for 302 redirect) or 'json' (for 200 OK with JSON body for debugging).

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
*/*